Bug 555708 - kABI whitelist request for Fujitsu modules
kABI whitelist request for Fujitsu modules
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.6
All Linux
medium Severity medium
: rc
: 5.6
Assigned To: Jon Masters
Red Hat Kernel QE team
: FutureFeature, HardwareEnablement
Depends On:
Blocks: 547220 554476 557597 626671
  Show dependency treegraph
 
Reported: 2010-01-15 04:42 EST by Jiri Olsa
Modified: 2011-01-13 15:59 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-13 15:59:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
rhel56-kabi-whitelist-add-pci-symbols.patch (29.99 KB, patch)
2010-09-07 03:31 EDT, Jon Masters
no flags Details | Diff
rhel56-kabi-whitelist-add-net-symbols.patch (21.75 KB, patch)
2010-09-07 03:35 EDT, Jon Masters
no flags Details | Diff

  None (edit)
Description Jiri Olsa 2010-01-15 04:42:47 EST
Description of problem:

missing symbols in white list:

vlan_gro_frags
napi_get_frags
napi_gro_flush
napi_gro_frags
Comment 1 Gary Smith 2010-03-19 11:39:38 EDT
Fujitsu are requesting that these symbols also be added to the 5.6 whitelist please:

pci_disable_sriov
pci_enable_sriov
Comment 2 Larry Troan 2010-08-03 17:38:03 EDT
Requesting BLOCKER or reason these won;t be in 5.6.
Comment 3 Jon Masters 2010-08-24 00:45:34 EDT
Can you please let me know which modules these are for? I suspect the answer to adding NAPI to the whitelist is "no", but I will check.
Comment 4 Martin Wilck 2010-08-24 04:28:26 EDT
Jon,

napi_gro_flush() is required by most current OEM LAN drivers (igb, ixgbe, bnx2). Without it, no fully-deatured LAN driver can be provided via DUP. Drives need to define a dummy replacement function instead, which makes me feel very uncomfortable.

Note that napi_gro_receive() is already part of the 5.5 KABI (bug #526342), so why not napi_gro_flush()?

pci_disable_sriov
pci_enable_sriov

Without these, no DUP-provided driver can offer SR-IOV functionality. That is going to be a significant restriction as soon as customers start using SR-IOV. When a bug fix requires a DUP driver (from Red Hat or a partner, doesn't matter), SR-IOV functionality is not available any more.

Martin
Comment 5 Jon Masters 2010-08-24 13:44:48 EDT
Thanks for the reply Martin. I'll include it in the processing of this request.
Comment 6 Larry Troan 2010-09-02 16:54:58 EDT
Have a devel ACK. Can I get a QA ACK please. Fujitsu will test this.
Comment 8 Jon Masters 2010-09-07 03:31:44 EDT
Created attachment 443423 [details]
rhel56-kabi-whitelist-add-pci-symbols.patch
Comment 9 Jon Masters 2010-09-07 03:35:17 EDT
Created attachment 443435 [details]
rhel56-kabi-whitelist-add-net-symbols.patch
Comment 10 Jon Masters 2010-09-07 03:39:11 EDT
Thank you for filing your request to update our kernel ABI whitelists. We are now reviewing your request and will endeavor to provide an update in due course.
Comment 13 Jarod Wilson 2010-09-21 16:59:23 EDT
in kernel-2.6.18-223.el5
You can download this test kernel (or newer) from http://people.redhat.com/jwilson/el5

Detailed testing feedback is always welcomed.
Comment 17 errata-xmlrpc 2011-01-13 15:59:48 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0017.html

Note You need to log in before you can comment on or make changes to this bug.